Subject: Re: ls and long file names
From: "Jose I. Cabrera" <[email-masked]>
To: "Heribert Dahms" <[email-masked]>, <[email-masked]>
Cc: "cygwin users" <[email-masked]>
Date: Fri, 26 Feb 1999 20:23:35 -0500

Thank you all.

jose

----- Original Message ----- 
From: Heribert Dahms <[email-masked]>
To: 'Jose I. Cabrera' <[email-masked]>; <[email-masked]>
Cc: cygwin users <[email-masked]>
Sent: Friday, February 26, 1999 7:02 PM
Subject: RE: ls and long file names

>Hi Jose,
>
>please see below!
>
>Bye, Heribert ([email-masked])
>
>> -----Original Message-----
>> From: Jose I. Cabrera [SMTP:[email-masked]]
>> Sent: Friday, February 26, 1999 16:46
>> To: [email-masked]
>> Cc: cygwin users
>> Subject: Re: ls and long file names
>> 
>> All,
>> 
>> I agree that this is ls the intended behavior, but I thought that
>>  there was a switch that would change this behavior and place
>>  them according to file name sizes.  Here is an example of VMS:
>> 
>> $ dir
>> 
>> Directory USER15:[JCABRERA]
>> 
>> FILES_20200758.COM;1                    FILES_20200758.OUT;1
>> FTPD.LOG;16         GAZ_OUT.TXT;1       JICMAN.DIR;1
>> JIC_SUBJ.COM;14
>> [Heribert]  [snip]
>> X.X;1               _ALIASES.TPU$JOURNAL;1
>> 
>> Total of 50 files.
>> $
>> 
>> as you can see, there are different file name sizes and yet, VMS
>> places
>>  them in columns, even though there are short names and long names.
>> I know what you are going to say, "Jose, move to MVS," but, could not
>> we have a switch that would make it this way?  It does not have to be
>> the default, just a switch.
>> 
>> [Heribert]  Hey, X.X is *my* filename! And I like VMS, but want to
>> avoid MVS 8-)
>> VMS defaults to a TABs@20-like, max 4 columns behaviour. BTW, I use:
>> $ sh sym d*
>>   DC == "DIRECTORY/NOHE/NOTR/NOTOT/COL=1/WI=FI=55/NOSIZE/DATE"
>>   D*IRECT == "DIR/DAT/SIZE"
>>   DN == "DIRECTORY/NOHE/NOTR/NOTOT/COL=1/WI=FI=80/NOSIZE/NODATE"
>> 
>> I suggest you take the ls source and implement a, hmm,  -4 switch...
>> 
>> [Heribert]  [snip]
>> 
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]